%define major     1
%define libname   %mklibname wpebackend-fdo %{major}
%define develname %mklibname wpebackend-fdo -d

Name:           wpebackend-fdo
Version:        1.16.0
Release:        %mkrel 1
Summary:        A WPE backend designed for Linux desktop systems
Group:          System/Libraries

License:        BSD
URL:            https://github.com/Igalia/%{name}
Source0:        https://github.com/Igalia/WPEBackend-fdo/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  gnupg2
BuildRequires:  meson
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wpe-1.0)

%description
A WPE backend designed for Linux desktop systems.

%package -n    %{libname}
Summary:       Development files for %{name}
Group:         System/Libraries

%description -n %{libname}
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%package -n    %{develname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %{libname} = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS
%{_libdir}/libWPEBackend-fdo-1.0.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/wpe-fdo-1.0
%{_libdir}/libWPEBackend-fdo-1.0.so
%{_libdir}/pkgconfig/wpebackend-fdo-1.0.pc


%changelog
* Wed May 21 2025 daviddavid <daviddavid> 1.16.0-1.mga10
+ Revision: 2185427
- new version: 1.16.0 (thanks to Aurelian R)

* Sat Apr 22 2023 tmb <tmb> 1.14.2-1.mga9
+ Revision: 1954318
- add source and spec
- Created package structure for wpebackend-fdo.

